- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage users
- /
- Check whether a user has a session login status in the application
¶ Check if a user has a session login in the application
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Check if a user has a session login in the application
¶ Method Name
ManagementClient.checkSessionStatus
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| appId | string | Yes | - | App ID | app1 |
| userId | string | Yes | - | The unique identifier of the user. It can be Yes user ID, user name, email address, mobile phone number, externalId, or ID in the external identity source. For details, see the description of the userIdType field. The default value is user id. | 6229ffaxxxxxxxxcade3e3d9 |
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.CheckSessionStatusDto;
import cn.authing.sdk.java.dto.CheckSessionStatusRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class CheckSessionStatusTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
CheckSessionStatusDto reqDto = new CheckSessionStatusDto();
reqDto.setAppId("app1");
reqDto.setUserId("6229ffaxxxxxxxxcade3e3d9");
CheckSessionStatusRespDto response = client.checkSessionStatus(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: CheckSessionStatusRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | CheckSessionStatusDataDto | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"active": true
}
}
¶ Data Structure
¶ CheckSessionStatusDataDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| active | boolean | Yes | Is there a login status? | true |
